Summary:	A program for benchmarking hard drives and filesystems
Summary(es.UTF-8):	Benchmark (prueba de desempeño) Bonnie para Sistemas de Archivos Unix
Summary(pl.UTF-8):	Program mierzący wydajność twardych dysków i systemów plików
Summary(pt_BR.UTF-8):	Benchmark (teste de performance) Bonnie para Sistemas de Arquivos Unix
Name:		bonnie++
Version:	1.96
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://www.coker.com.au/bonnie++/experimental/%{name}-%{version}.tgz
# Source0-md5:	7b8594559f00887d2865de1838328b35
# Patch0:		%{name}-flags.patch
URL:		http://www.coker.com.au/bonnie++/
BuildRequires:	autoconf
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of
simple tests of hard drive and file system performance.

%description -l es.UTF-8
Bonnie es un benchmark (prueba de desempeño) popular que verifica
varios aspectos de sistemas de archivos Unix.

%description -l pl.UTF-8
Bonnie++ jest zestawem benchmarków, których celem jest przeprowadzenie
prostych testów wydajności twardego dysku i systemu plików.

%description -l pt_BR.UTF-8
Bonnie é um benchmark (teste de performance) popular que verifica
vários aspectos de sistemas de arquivos Unix.

%prep
%setup -q
# %%patch0 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/{man1,man8}}

install bonnie++ zcav $RPM_BUILD_ROOT%{_sbindir}
install bon_csv2html bon_csv2txt $RPM_BUILD_ROOT%{_bindir}
install *.8 $RPM_BUILD_ROOT%{_mandir}/man8
install *.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc debian/changelog readme.html

%attr(755,root,root) %{_sbindir}/bonnie++
%attr(755,root,root) %{_sbindir}/zcav
%attr(755,root,root) %{_bindir}/bon_csv2html
%attr(755,root,root) %{_bindir}/bon_csv2txt
%{_mandir}/man*/*
%changelog
* Sat Jun 29 2013 Marcin Krol <hawk@tld-linux.org> ec822cd
- release 2 (by relup.sh)

* Thu Aug 12 2010 Mateusz Korniak <matkor@pld-linux.org> 5513b7c
- Version 1.96-1.

* Wed Mar 18 2009 duddits <duddits@pld-linux.org> a949934
- up to 1.03e

* Wed Aug 20 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> dd01382
- updated to 1.03d

* Mon May 26 2008 dzeus <dzeus@pld-linux.org> 0c947eb
- up to 1.03c

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> bf2ffb4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7404edb
- converted to UTF-8

* Thu Aug 10 2006 sparky <sparky@pld-linux.org> fd80631
- added flags patch

* Thu Aug 10 2006 sparky <sparky@pld-linux.org> 00d9e58
- CFLAGS renamed to CXXFLAGS and fixed
- LFLAGS renamed to LDFLAGS and fixed

* Tue Dec 14 2004 Elan Ruusamäe <glen@pld-linux.org> c2b48e7
- add URL; rel 2; STBR

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> c04efd8
- może wrescie ktoś wykasuje to konto ?

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 18b48fc
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> bdd8a88
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Feb 21 2003 misi3k <misi3k@pld-linux.org> 82ff463
- updated to 1.03a (compiles with GCC 3.2)

* Sun Dec 08 2002 areq <areq@pld-linux.org> 34b9b2b
- 1.03, STBR

* Tue Oct 08 2002 pbern <pbern@pld-linux.org> 90be5da
- update from 1.02 to 1.02c

* Tue May 21 2002 kloczek <kloczek@pld-linux.org> df11700
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> 408d1a2
fixed a small typo

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> e7b3aaa
- adapterized.

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 0f73135
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

